import request from '@/utils/request'

// 查询PAGA列表
export function listPaga(query) {
  return request({
    url: '/dev/paga/list',
    method: 'get',
    params: query
  })
}

// 查询PAGA详细
export function getPaga(id) {
  return request({
    url: '/dev/paga/' + id,
    method: 'get'
  })
}

// 新增PAGA
export function addPaga(data) {
  return request({
    url: '/dev/paga',
    method: 'post',
    data: data
  })
}

// 修改PAGA
export function updatePaga(data) {
  return request({
    url: '/dev/paga',
    method: 'put',
    data: data
  })
}

// 删除PAGA
export function delPaga(id) {
  return request({
    url: '/dev/paga/' + id,
    method: 'delete'
  })
}
